import CS s390utils-2.44.0-1.el9

This commit is contained in:
AlmaLinux RelEng Bot 2026-09-07 09:58:44 -04:00
parent 5674a8d3cd
commit f38f08f140
10 changed files with 3153 additions and 26 deletions

4
.gitignore vendored
View File

@ -1,2 +1,2 @@
SOURCES/s390-tools-2.40.0-rust-vendor.tar.xz
SOURCES/s390-tools-2.40.0.tar.gz
SOURCES/s390-tools-2.44.0-rust-vendor.tar.xz
SOURCES/s390-tools-2.44.0.tar.gz

View File

@ -1,2 +1,2 @@
f894148be7a423a5745eb631125d455c8ca87d85 SOURCES/s390-tools-2.40.0-rust-vendor.tar.xz
a383748d6e953b8024bd425cfeed7859e2faaa22 SOURCES/s390-tools-2.40.0.tar.gz
d8b876e8097d9bed0f7d7ad70786df2a711806bc SOURCES/s390-tools-2.44.0-rust-vendor.tar.xz
ce7ddd71ab8cad5fcb15fca17089e8151089cd33 SOURCES/s390-tools-2.44.0.tar.gz

View File

@ -1,6 +1,7 @@
#! /bin/sh
[ -z "$DEVPATH" ] && exit 0
[ -z "$DRIVER" ] && exit 0
[ "$SUBSYSTEM" != "ccw" ] && exit 0
[ -e /etc/ccw.conf ] && MODE="dracut" || MODE="normal"
@ -78,6 +79,7 @@ elif [ $MODE = "normal" ]; then
NETTYPE=$(sed -nr "/^\[ethernet\]/ { :l /^s390-nettype[ ]*=/ { s/.*=[ ]*//; p; q;}; n; b l;}" $CONFIG_FILE)
SUBCHANNELS=$(sed -nr "/^\[ethernet\]/ { :l /^s390-subchannels[ ]*=/ { s/.*=[ ]*//; p; q;}; n; b l;}" $CONFIG_FILE | sed -e "s/;/,/g" -e "s/,$//")
LAYER2=$(sed -nr "/^\[ethernet-s390-options\]/ { :l /^layer2[ ]*=/ { s/.*=[ ]*//; p; q;}; n; b l;}" $CONFIG_FILE)
PORTNO=$(sed -nr "/^\[ethernet-s390-options\]/ { :l /^portno[ ]*=/ { s/.*=[ ]*//; p; q;}; n; b l;}" $CONFIG_FILE)
else
exit 1
fi
@ -115,6 +117,10 @@ if [ "$NETTYPE" = "ctc" -a -n "$CTCPROT" ]; then
OPTIONS="$OPTIONS protocol=$CTCPROT"
fi
if [ -n "$PORTNO" ]; then
OPTIONS="$OPTIONS portno=$PORTNO"
fi
# SUBCHANNELS is only set on mainframe ccwgroup devices
[ -z "$SUBCHANNELS" -o -z "$NETTYPE" ] && exit 0
if [ "$NETTYPE" = "ctc" ]; then
@ -148,8 +154,6 @@ if [ -e $SYSDIR/online ]; then
[ "$on" = "1" ] && exit 0
fi
DRIVER=$(readlink $DEVPATH/driver)
DRIVER=${DRIVER##*/}
if [ "$DRIVER" = "lcs" -a "$NETTYPE" = "ctc" ]; then
echo "$CHANNEL" > /sys/bus/ccw/drivers/lcs/unbind
echo "$CHANNEL" > /sys/bus/ccw/drivers/ctcm/bind

View File

@ -0,0 +1,48 @@
#!/bin/bash
# SPDX-License-Identifier: MIT
# Copyright IBM Corp. 2023
# This is just a wrapper to migrate old /etc/dasd.conf to the new
# consolidated persistent configuration of s390 devices with chzdev.
CONFIG=/etc/dasd.conf
PATH=/sbin:/bin
export PATH
DATE=$(date --iso-8601=seconds)
PREFIX="${CONFIG}.${DATE}.migrated-to-chzdev"
if [ -f "$CONFIG" ]; then
# show migration output to users and log it into file
exec > >(tee "${PREFIX}.log") 2>&1
sed 'y/ABCDEF/abcdef/' < $CONFIG | while read -r line; do
case $line in
\#*) ;;
*)
[ -z "$line" ] && continue
# shellcheck disable=SC2086
set -- $line
chzdev --enable --active --persistent dasd "$@" --yes --no-root-update --force --no-settle
case $? in
0)
# If device exists and could be actively enabled,
# chzdev could infer the actual dasd device type; done.
continue
;;
esac
# Configure persistently only to allow migration of
# configuration for devices that currently do not exist.
# Chzdev cannot infer the actual dasd device type for an
# absent device. Therefore, create duplicate configurations
# for both dasd-eckd and dasd-fba, so either one of them
# can enable such device when it appears.
chzdev --enable --persistent dasd-eckd "$@" --yes --no-root-update --force --no-settle
chzdev --enable --persistent dasd-fba "$@" --yes --no-root-update --force --no-settle
;;
esac
done
mv "$CONFIG" "$CONFIG"."$DATE".migrated-to-chzdev
echo "dasdconfmigrate.sh: Information: Your persistent dasd device configuration file $CONFIG was migrated to the new consolidated mechanism. From now on, please use lszdev and chzdev from s390utils instead. To finally complete the migration, please run: kdumpctl rebuild; systemctl restart kdump; dracut -f; zipl"
fi

View File

@ -0,0 +1,30 @@
diff --git a/scripts/pvics b/scripts/pvics
index 18cdbb6b..8fe21a3b 100755
--- a/scripts/pvics
+++ b/scripts/pvics
@@ -1474,12 +1474,6 @@ main() {
local -
set -Eu
- # call cleanup on error
- # PIPE is needed to allow out=$(main list -i <image> | grep -m 1 <filter>)
- # bash will close the subshell executing the main function as soon as grep has found a match
- # cleanup will not be executed anymore
- trap 'cleanup 1' ERR EXIT PIPE
-
# general
ACTION=""
NBD=""
@@ -1518,6 +1512,12 @@ main() {
# parse command line
cli "$@"
+ # call cleanup on error
+ # PIPE is needed to allow out=$(main list -i <image> | grep -m 1 <filter>)
+ # bash will close the subshell executing the main function as soon as grep has found a match
+ # cleanup will not be executed anymore
+ trap 'cleanup 1' ERR EXIT PIPE
+
# set up logger
setup_logger

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

View File

@ -0,0 +1,47 @@
#!/bin/bash
# SPDX-License-Identifier: MIT
# Copyright IBM Corp. 2023
# This is just a wrapper to migrate old /etc/zfcp.conf to the new
# consolidated persistent configuration of s390 devices with chzdev.
CONFIG=/etc/zfcp.conf
PATH=/bin:/sbin
DATE=$(date --iso-8601=seconds)
PREFIX="${CONFIG}.${DATE}.migrated-to-chzdev"
if [ -f "$CONFIG" ]; then
# show migration output to users and log it into file
exec > >(tee "${PREFIX}.log") 2>&1
sed 'y/ABCDEF/abcdef/' < $CONFIG | while read -r line; do
case $line in
\#*) ;;
*)
[ -z "$line" ] && continue
# shellcheck disable=SC2086
set -- $line
if [ $# -eq 1 ]; then
DEVICE=${1##*0x}
chzdev --enable --persistent zfcp-host "$DEVICE" --yes --no-root-update --force --no-settle
continue
fi
if [ $# -eq 5 ]; then
DEVICE=$1
#SCSIID=$2
WWPN=$3
#SCSILUN=$4
FCPLUN=$5
elif [ $# -eq 3 ]; then
DEVICE=${1##*0x}
WWPN=$2
FCPLUN=$3
fi
chzdev --enable --persistent zfcp-lun "$DEVICE:$WWPN:$FCPLUN" --yes --no-root-update --force --no-settle
;;
esac
done
mv "$CONFIG" "$PREFIX"
echo "zfcpconfmigrate.sh: Information: Your persistent zfcp device configuration file $CONFIG was migrated to the new consolidated mechanism. From now on, please use lszdev and chzdev from s390utils instead. To finally complete the migration, please run: kdumpctl rebuild; systemctl restart kdump; dracut -f; zipl"
fi

103
SOURCES/znetconfmigrate.sh Normal file
View File

@ -0,0 +1,103 @@
#! /bin/bash
# SPDX-License-Identifier: MIT
# Largely based on the old ccw_init script.
# This is just a wrapper to migrate old s390 channel-attached network
# device config to the new consolidated persistent configuration with
# chzdev.
DATE=$(date --iso-8601=seconds)
# borrowed from network-scrips, initscripts along with the get_config_by_subchannel
[ -z "$__sed_discard_ignored_files" ] && __sed_discard_ignored_files='/\(~\|\.bak\|\.old\|\.orig\|\.rpmnew\|\.rpmorig\|\.rpmsave\)$/d'
get_configs ()
{
LANG=C grep -E -i -l \
"^[[:space:]]*SUBCHANNELS=['\"]?([0-9]\.[0-9]\.[a-f0-9]+)(,[0-9]\.[0-9]\.[a-f0-9]+){1,2}['\"]?([[:space:]]+#|[[:space:]]*$)" \
/etc/sysconfig/network-scripts/ifcfg-* \
| LC_ALL=C sed -e "$__sed_discard_ignored_files"
}
get_configs_nm ()
{
LANG=C grep -E -i -l \
"^s390-subchannels=([0-9]\.[0-9]\.[a-f0-9]+;){2,3}$" \
/etc/NetworkManager/system-connections/*.nmconnection \
| LC_ALL=C sed -e "$__sed_discard_ignored_files"
}
migrate ()
{
# translate variables from the interface config files to OPTIONS
if [ -n "$PORTNAME" ]; then
if [ "$NETTYPE" = "lcs" ]; then
OPTIONS="$OPTIONS portno=$PORTNAME"
else
OPTIONS="$OPTIONS portname=$PORTNAME"
fi
fi
if [ "$NETTYPE" = "ctc" -a -n "$CTCPROT" ]; then
OPTIONS="$OPTIONS protocol=$CTCPROT"
fi
# SUBCHANNELS is only set on mainframe ccwgroup devices
[ -z "$SUBCHANNELS" -o -z "$NETTYPE" ] && return
SUBCHANNELS=$(echo "$SUBCHANNELS" | tr ',' ':')
# shellcheck disable=SC2086
chzdev --enable --persistent "$NETTYPE" "$SUBCHANNELS" $OPTIONS --yes --no-root-update --force --no-settle
# Leave all s390-specifics in original $CONFIG_FILE because NetworkManager
# does something with NETTYPE, PORTNAME, CTCPROT, OPTIONS.
# Definitively Leave SUBCHANNELS as it might serve as interface identifier key,
# which is not HWADDR.
echo "znetconfmigrate.sh: Information: Your low-level persistent s390 network device configuration $CONFIG_FILE was migrated to the new consolidated mechanism. From now on, please use lszdev and chzdev from s390utils instead. To finally complete the migration, please run: kdumpctl rebuild; systemctl restart kdump; dracut -f; zipl"
# re-initialize global variables before next possible iteration loop
NETTYPE=""
SUBCHANNELS=""
OPTIONS=""
PORTNAME=""
CTCPROT=""
}
NOLOCALE="yes"
CONFIG_FILES=$(get_configs)
if [ -n "$CONFIG_FILES" ]; then
for CONFIG_FILE in $CONFIG_FILES; do
PREFIX="znet.${CONFIG_FILE##*/}.${DATE}.migrated-to-chzdev"
# show migration output to users and log it into file
exec > >(tee "$PREFIX.log") 2>&1
. "$CONFIG_FILE"
migrate
done
else
CONFIG_FILES=$(get_configs_nm)
for CONFIG_FILE in $CONFIG_FILES; do
PREFIX="znet.${CONFIG_FILE##*/}.${DATE}.migrated-to-chzdev"
# show migration output to users and log it into file
exec > >(tee "$PREFIX.log") 2>&1
NETTYPE=$(sed -nr "/^\[ethernet\]/ { :l /^s390-nettype[ ]*=/ { s/.*=[ ]*//; p; q;}; n; b l;}" "$CONFIG_FILE")
SUBCHANNELS=$(sed -nr "/^\[ethernet\]/ { :l /^s390-subchannels[ ]*=/ { s/.*=[ ]*//; p; q;}; n; b l;}" "$CONFIG_FILE" | sed -e "s/;/,/g" -e "s/,$//")
OPTIONS=$(sed -nr "
/^\[ethernet-s390-options\]/ {
n # skip matched line with beginning of section
:l # set label
/^[^#].*=.*/ { # match non-comment key value line
p # print
}
/^[ ]*\[/ { # match beginning of next section
q # quit
}
n # next
b l # branch to label
}
" "$CONFIG_FILE")
migrate
done
fi

View File

@ -14,7 +14,7 @@
Name: s390utils
Summary: Utilities and daemons for IBM z Systems
Version: 2.40.0
Version: 2.44.0
Release: 1%{?dist}
Epoch: 2
License: MIT
@ -37,6 +37,9 @@ Source21: https://fedorapeople.org/cgit/sharkcz/public_git/utils.git/tree/
Source23: 20-zipl-kernel.install
Source24: 52-zipl-rescue.install
Source25: 91-zipl.install
Source26: https://fedorapeople.org/cgit/sharkcz/public_git/utils.git/tree/zfcpconfmigrate.sh
Source27: https://fedorapeople.org/cgit/sharkcz/public_git/utils.git/tree/dasdconfmigrate.sh
Source28: https://fedorapeople.org/cgit/sharkcz/public_git/utils.git/tree/znetconfmigrate.sh
%if %{with signzipl}
%define pesign_name redhatsecureboot302
@ -46,6 +49,14 @@ Source25: 91-zipl.install
Patch0: s390-tools-zipl-invert-script-options.patch
Patch1: s390-tools-zipl-blscfg-rpm-nvr-sort.patch
# reverts to keep stability within major RHEL release
Patch10: s390utils-tape-revert.patch
Patch11: s390utils-lcs-revert.patch
# temporary fixes
# https://github.com/ibm-s390-linux/s390-tools/issues/208
Patch90: s390utils-2.44.0-pvics-return.patch
# upstream fixes/updates
#Patch100: s390utils-%%{version}-rhel.patch
@ -114,14 +125,7 @@ The s390utils packages contain a set of user space utilities that should to
be used together with the zSeries (s390) Linux kernel and device drivers.
%prep
%setup -q -n s390-tools-%{version}
# Fedora/RHEL changes
%patch -P 0 -p1 -b .zipl-invert-script-options
%patch -P 1 -p1 -b .blscfg-rpm-nvr-sort
# upstream fixes/updates
#%%patch -P 100 -p1
%autosetup -n s390-tools-%{version} -p1
# remove --strip from install
find . -name Makefile | xargs sed -i 's/$(INSTALL) -s/$(INSTALL)/g'
@ -195,6 +199,9 @@ mv %{buildroot}%{_datadir}/s390-tools/netboot/mk-s390image.1 %{buildroot}%{_mand
mkdir -p %{buildroot}{/boot,%{_udevrulesdir},%{_sysconfdir}/{profile.d,sysconfig},%{_prefix}/lib/modules-load.d}
install -p -m 644 zipl/boot/tape0.bin %{buildroot}/boot/tape0
install -p -m 755 %{SOURCE5} %{buildroot}%{_sbindir}
install -p -m 755 %{SOURCE26} %{buildroot}%{_sbindir}
install -p -m 755 %{SOURCE27} %{buildroot}%{_sbindir}
install -p -m 755 %{SOURCE28} %{buildroot}%{_sbindir}
install -p -m 755 %{SOURCE13} %{buildroot}%{_sbindir}
install -p -m 755 %{SOURCE21} %{buildroot}%{_sbindir}
install -p -m 644 %{SOURCE7} %{buildroot}%{_udevrulesdir}/56-zfcp.rules
@ -255,6 +262,7 @@ touch %{buildroot}%{_sysconfdir}/zipl.conf
%license LICENSE
%{_bindir}/genprotimg
%{_bindir}/pvattest
%{_bindir}/pvebc
%{_bindir}/pvextract-hdr
%if %{with rust}
%{_bindir}/pvimg
@ -263,6 +271,7 @@ touch %{buildroot}%{_sysconfdir}/zipl.conf
%endif
%{_mandir}/man1/genprotimg.1*
%{_mandir}/man1/pvattest.1*
%{_mandir}/man1/pvebc.1*
%{_mandir}/man1/pvattest-check.1*
%{_mandir}/man1/pvattest-create.1*
%{_mandir}/man1/pvattest-perform.1*
@ -367,36 +376,39 @@ This package provides minimal set of tools needed to system to boot.
%{_mandir}/man8/vmcp.8*
%{_mandir}/man8/zipl.8*
%{_mandir}/man8/zipl-editenv.8*
%{_udevrulesdir}/40-z90crypt.rules
%{_udevrulesdir}/59-dasd.rules
%{_udevrulesdir}/59-virtio-blk.rules
%{_udevrulesdir}/60-readahead.rules
%{_udevrulesdir}/81-dpm.rules
%{_udevrulesdir}/90-cpi.rules
%{_prefix}/lib/modules-load.d/s390-pkey.conf
# rule provided by systemd-udev
%exclude %{_udevrulesdir}/80-hotplug-cpu.rules
# Additional Fedora/RHEL specific stuff
%ghost %config(noreplace) %{_sysconfdir}/dasd.conf
%ghost %config(noreplace) %{_sysconfdir}/zfcp.conf
%{_sbindir}/dasdconf.sh
%{_sbindir}/normalize_dasd_arg
%{_sbindir}/dasdconfmigrate.sh
%{_sbindir}/zfcpconf.sh
%{_sbindir}/zfcpconfmigrate.sh
%{_sbindir}/znetconfmigrate.sh
%{_sbindir}/device_cio_free
%{_sbindir}/dasd_cio_free
%{_sbindir}/zfcp_cio_free
%{_sbindir}/znet_cio_free
%{_unitdir}/device_cio_free.service
/usr/lib/udev/ccw_init
%{_udevrulesdir}/40-z90crypt.rules
%{_udevrulesdir}/56-dasd.rules
%{_udevrulesdir}/56-zfcp.rules
%{_udevrulesdir}/59-dasd.rules
%{_udevrulesdir}/59-virtio-blk.rules
%{_udevrulesdir}/60-readahead.rules
%{_udevrulesdir}/81-ccw.rules
%{_udevrulesdir}/81-dpm.rules
%{_udevrulesdir}/90-cpi.rules
# rule provided by systemd-udev
%exclude %{_udevrulesdir}/80-hotplug-cpu.rules
%{_sysconfdir}/kernel/install.d/20-grubby.install
%{_prefix}/lib/kernel/install.d/10-zfcpdump.install
%{_prefix}/lib/kernel/install.d/20-zipl-kernel.install
%{_prefix}/lib/kernel/install.d/52-zipl-rescue.install
%{_prefix}/lib/kernel/install.d/91-zipl.install
%{_prefix}/lib/modules-load.d/s390-pkey.conf
#
# *********************** s390-tools base package ***********************
@ -416,11 +428,13 @@ Requires: s390utils-se-data = %{epoch}:%{version}-%{release}
BuildRequires: perl-generators
BuildRequires: ncurses-devel
BuildRequires: glibc-static
BuildRequires: cryptsetup-devel >= 2.0.3
# the required bits from upstream 2.8.2 have been backported
BuildRequires: cryptsetup-devel >= 2.8.1
BuildRequires: json-c-devel
BuildRequires: rpm-devel
BuildRequires: libxml2-devel
BuildRequires: libnl3-devel
BuildRequires: libnvme-devel
%description base
@ -594,6 +608,7 @@ getent group zkeyadm > /dev/null || groupadd -r zkeyadm
%{_sbindir}/lszfcp
%{_sbindir}/opticsmon
%{_sbindir}/pai
%{_sbindir}/pvics
%{_sbindir}/qetharp
%{_sbindir}/qethconf
%{_sbindir}/qethqoat
@ -613,11 +628,13 @@ getent group zkeyadm > /dev/null || groupadd -r zkeyadm
%{_sbindir}/zmemtopo
%{_sbindir}/znetconf
%{_sbindir}/zpcictl
%{_sbindir}/zpcimon
%{_bindir}/cpacfinfo
%{_bindir}/dump2tar
%{_bindir}/genprotimg
%{_bindir}/mk-s390image
%{_bindir}/pvapconfig
%{_bindir}/pvebc
%{_bindir}/pvimg
%if %{with rust}
%{_bindir}/pvapconfig
@ -634,9 +651,11 @@ getent group zkeyadm > /dev/null || groupadd -r zkeyadm
%{_bindir}/zpwr
%{_unitdir}/dumpconf.service
%{_unitdir}/opticsmon.service
%{_unitdir}/zpcimon.service
%ghost %config(noreplace) %{_sysconfdir}/zipl.conf
%config(noreplace) %{_sysconfdir}/sysconfig/dumpconf
%{_sysconfdir}/mdevctl.d/*
/usr/lib/dracut/modules.d/95sel-ebc/
/usr/lib/dracut/modules.d/99ngdump/
/usr/lib/dracut/dracut.conf.d/99-pkey.conf
# own the mdevctl dirs until new release is available
@ -648,7 +667,6 @@ getent group zkeyadm > /dev/null || groupadd -r zkeyadm
/lib/s390-tools/lsznet.raw
%dir /lib/s390-tools/zfcpdump
/lib/s390-tools/zfcpdump/zfcpdump-initrd
/lib/s390-tools/znetcontrolunits
%{_libdir}/libekmfweb.so.*
%{_libdir}/libkmipclient.so.*
%dir %{_libdir}/zkey
@ -667,6 +685,7 @@ getent group zkeyadm > /dev/null || groupadd -r zkeyadm
%{_mandir}/man1/pvattest-perform.1*
%{_mandir}/man1/pvattest-verify.1*
%if %{with rust}
%{_mandir}/man1/pvebc.1*
%{_mandir}/man1/pvimg.1*
%{_mandir}/man1/pvimg-create.1*
%{_mandir}/man1/pvimg-info.1*
@ -691,6 +710,7 @@ getent group zkeyadm > /dev/null || groupadd -r zkeyadm
%{_mandir}/man1/zpwr.1*
%{_mandir}/man4/prandom.4*
%{_mandir}/man5/hsavmcore.conf.5*
%{_mandir}/man5/pvics.yaml.5*
%{_mandir}/man8/chccwdev.8*
%{_mandir}/man8/chchp.8*
%{_mandir}/man8/chcpumf.8*
@ -721,6 +741,7 @@ getent group zkeyadm > /dev/null || groupadd -r zkeyadm
%{_mandir}/man8/lszfcp.8*
%{_mandir}/man8/opticsmon.8*
%{_mandir}/man8/pai.8*
%{_mandir}/man8/pvics.8*
%{_mandir}/man8/qetharp.8*
%{_mandir}/man8/qethconf.8*
%{_mandir}/man8/qethqoat.8*
@ -737,6 +758,7 @@ getent group zkeyadm > /dev/null || groupadd -r zkeyadm
%{_mandir}/man8/zmemtopo.8*
%{_mandir}/man8/znetconf.8*
%{_mandir}/man8/zpcictl.8*
%{_mandir}/man8/zpcimon.8*
%dir %{_datadir}/s390-tools
%{_datadir}/s390-tools/netboot/
%{_datadir}/bash-completion/completions/*.bash
@ -1107,6 +1129,29 @@ User-space development files for the s390/s390x architecture.
%changelog
* Wed Aug 05 2026 Dan Horák <dhorak@redhat.com> - 2:2.44.0-1
- rebased to 2.44.0 (RHEL-174896)
- KVM: Quantum Safe SE Header and tooling support (RHEL-149688)
- Introduce NVMe SMART data monitoring to the zpcimon service (RHEL-191176)
- zkey key support for dm-integrity with HMAC (RHEL-50021)
- fix zipl support for mixed type mdadm RAID1 devices (RHEL-191425)
- Resolves: RHEL-174896 RHEL-149688 RHEL-191176 RHEL-50021 RHEL-191425
* Thu Jun 18 2026 Dan Horák <dhorak@redhat.com> - 2:2.42.1-1
- rebased to 2.42.1 (RHEL-174896)
- hyptop: Backward compatibility options causes other issues (RHEL-166158)
- zipl/boot: Fix stage3 secure boot trailer placement (RHEL-169659)
- SEL-EBC: instrumentation of an SEL initramfs to support early boot customization (RHEL-136434)
- SEL-EBC: tool to build basic SEL-qcow2 image supporting early boot customization (RHEL-136437)
- KVM: Enhance pvimg info command to display additional SE image information (RHEL-73137)
- Cannot configure "portno" of the network interface (RHEL-76751)
- Resolves: RHEL-174896 RHEL-166158 RHEL-169659 RHEL-136434 RHEL-136437 RHEL-73137 RHEL-76751
* Wed Apr 08 2026 Dan Horák <dhorak@redhat.com> - 2:2.41.0-1
- rebased to 2.41.0 (RHEL-136098)
- hsci: Automatically set appropriate MTU for HSCI (RHEL-153547)
- Resolves: RHEL-136098 RHEL-153547
* Mon Jan 12 2026 Dan Horák <dhorak@redhat.com> - 2:2.40.0-1
- rebased to 2.40.0 (RHEL-100439)
- zipl/boot: Fix unused loadparm when SCLP line-mode console is absent